package com.eactive.eai.rms.onl.manage.serviceinfo.header;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("hostHeaderDao")
public class HostHeaderDao extends SqlMapClientTemplateDao {

    public int selectListCount(HashMap paramMap) throws Exception {
    	return (Integer)template.queryForObject("hostHeader.selectListCount", paramMap);
    }	
    public List selectList(HashMap paramMap) throws Exception {
    	return template.queryForList("hostHeader.selectList", paramMap);
    }	
    public HashMap<String, Object> selectDetail(HashMap paramMap) throws Exception {
    	return (HashMap)template.queryForObject("hostHeader.selectDetail", paramMap);
    }	
    public void insert(HashMap paramMap) throws Exception{
        this.template.insert("hostHeader.insert", paramMap);
    }      
    public void update(HashMap paramMap) throws Exception{
        this.template.insert("hostHeader.update", paramMap);
    }     
    public void delete(HashMap paramMap) throws Exception{
        this.template.delete("hostHeader.delete", paramMap);
    }
    public void deleteRestoreTable(HashMap paramMap) throws Exception{
        this.template.delete("hostHeader.deleteRestoreTable", paramMap);
    }    
}
